package com.brilliance.isc.common.gmgf.service;

import com.brilliance.isc.common.doc.TextResultVo;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.model.BgdVo;
import com.brilliance.isc.vo.model.GmgfVo;

import java.util.List;
import java.util.Map;

/**
 * 国贸公服服务接口
 */
public interface GmgfService {
    /**
     * 国贸公服组件初始化
     */
    GmgfVo init(BaseTransactionVo vo, AbstractCommonVo xxxgrp);

    /**
     * 报关单参考余额查询
     */
    List<BgdVo> queryGdye(GmgfVo gmgfVo);

    /**
     * 生成指定报关单展示报文信息
     */
    TextResultVo queryGdmx(GmgfVo gmgfVo);

    /**
     * 验核报告调阅（调接口）
     */
    String queryYzbg(GmgfVo gmgfVo);

    /**
     * 报关单影像件调阅（调接口）
     */
    String queryImage(GmgfVo gmgfVo);

    /**
     * 查询验核报告和关单影像pdf信息（查数据库）
     */
    Map<String, List> queryPdf(GmgfVo gmgfVo);

    /**
     * 返回Pdf文件流给前端展示
     */
    TextResultVo showPdf(String inr);
}
